Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class CoreXSLTStylesheetDescription

    java.lang.Object
      org.jasig.portal.CoreStylesheetDescription
          org.jasig.portal.CoreXSLTStylesheetDescription

Direct Known Subclasses:
  StructureStylesheetDescription, ThemeStylesheetDescription

    public class CoreXSLTStylesheetDescription

extends CoreStylesheetDescription

CoreXSLTStyleSheetDescription contains properties of core XSLT stylesheets. This includes structure and theme transformations.

Version:
  $Revision: 1.8 $
Author:
  Peter Kharchenko

Nested Class Summary

Nested classes/interfaces inherited from class org.jasig.portal.CoreStylesheetDescription
`CoreStylesheetDescription.DescriptionDefaultValuePair`

Field Summary
`(package private) java.util.Hashtable` | `channelAttributeTable`

Fields inherited from class org.jasig.portal.CoreStylesheetDescription
`parameterTable, stylesheetDescriptionURI, stylesheetId, stylesheetName, stylesheetURI, stylesheetWordDescription`

Constructor Summary
`CoreXSLTStylesheetDescription()`

Method Summary
`void` | `addChannelAttribute(java.lang.String name, java.lang.String defaultValue, java.lang.String wordDescription)`
`boolean` | `containsChannelAttribute(java.lang.String attributeName)`
`java.lang.String` | `getChannelAttributeDefaultValue(java.lang.String attributeName)`
`java.util.Enumeration` | `getChannelAttributeNames()`
`java.lang.String` | `getChannelAttributeWordDescription(java.lang.String attributeName)`
`void` | `setChannelAttributeDefaultValue(java.lang.String attributeName, java.lang.String defaultValue)`
`void` | `setChannelAttributeWordDescription(java.lang.String attributeName, java.lang.String wordDescription)`

Methods inherited from class org.jasig.portal.CoreStylesheetDescription
`addStylesheetParameter, containsParameterName, getId, getStylesheetDescriptionURI, getStylesheetName, getStylesheetParameterDefaultValue, getStylesheetParameterNames, getStylesheetParameterWordDescription, getStylesheetURI, getStylesheetWordDescription, setId, setStylesheetDescriptionURI, setStylesheetName, setStylesheetParameterDefaultValue, setStylesheetParameterWordDescription, setStylesheetURI, setStylesheetWordDescription`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### channelAttributeTable

    java.util.Hashtable channelAttributeTable

Constructor Detail

### CoreXSLTStylesheetDescription

    public CoreXSLTStylesheetDescription()

Method Detail

### getChannelAttributeNames

    public java.util.Enumeration getChannelAttributeNames()

### getChannelAttributeWordDescription

    public java.lang.String getChannelAttributeWordDescription(java.lang.String attributeName)

### getChannelAttributeDefaultValue

    public java.lang.String getChannelAttributeDefaultValue(java.lang.String attributeName)

### setChannelAttributeWordDescription

    public void setChannelAttributeWordDescription(java.lang.String attributeName,
                                                   java.lang.String wordDescription)

### setChannelAttributeDefaultValue

    public void setChannelAttributeDefaultValue(java.lang.String attributeName,
                                                java.lang.String defaultValue)

### containsChannelAttribute

    public boolean containsChannelAttribute(java.lang.String attributeName)

### addChannelAttribute

    public void addChannelAttribute(java.lang.String name,
                                    java.lang.String defaultValue,
                                    java.lang.String wordDescription)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD